[DRE-commits] [gitlab] 12/17: move file check to sh file

Praveen Arimbrathodiyil praveen at moszumanska.debian.org
Sat Feb 13 16:42:26 UTC 2016


This is an automated email from the git hooks/post-receive script.

praveen pushed a commit to branch master
in repository gitlab.

commit 6e6da4ebfae45b7449760c181b12b3272a10f196
Author: Praveen Arimbrathodiyil <praveen at debian.org>
Date:   Sat Feb 13 19:38:52 2016 +0530

    move file check to sh file
---
 debian/rules                        | 5 +----
 debian/upstream-file-count-check.sh | 9 +++++++++
 2 files changed, 10 insertions(+), 4 deletions(-)

diff --git a/debian/rules b/debian/rules
index 6235edc..532bc33 100755
--- a/debian/rules
+++ b/debian/rules
@@ -11,10 +11,7 @@ override_dh_install:
 	dh_systemd_enable gitlab.target
 	dh_systemd_start gitlab.target
 	# Make sure we are installing all required files in debian/install
-	a=$(ls -1 | wc -l); b=$(cat debian/install |cut -d' '\
-	-f1|grep -v debian |wc -l); if ! [ $(echo "$a" - "$b"|bc) -eq 5 ];\
-	then echo "Install newly added files or adjust the count in\
-	debian/rules"; exit 1;fi
+	sh debian/upstream-file-count-check.sh
 
 override_dh_installinit:
 	dh_installinit --no-start
diff --git a/debian/upstream-file-count-check.sh b/debian/upstream-file-count-check.sh
new file mode 100644
index 0000000..ccd31f2
--- /dev/null
+++ b/debian/upstream-file-count-check.sh
@@ -0,0 +1,9 @@
+ucount=$(ls -1 | wc -l)
+dcount=$(cat debian/install |cut -d' ' -f1|grep -v debian |wc -l)
+ignored=5
+if ! [ $(echo "$ucount" - "$dcount"|bc) -eq $ignored ]; then
+  echo "Found new files added by upstream and not added to debian/install"
+  echo "Add them to debian/install or adjust 'ignored=5'"
+  echo "in debian/upstream-file-count-check.sh as required"
+  exit 1
+fi

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/gitlab.git



More information about the Pkg-ruby-extras-commits mailing list